<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:template match="/">
		<HTML>
			<HEAD/>
			<BODY>
				<xsl:apply-templates/>
			</BODY>
		</HTML>
	</xsl:template>
	<xsl:template match="titlePage">
		<div align="center">
			<h1>
				<xsl:apply-templates/>
			</h1>
		</div>
	</xsl:template>
	<xsl:template match="pb">
		<hr>
			<xsl:apply-templates/>
		</hr>
	</xsl:template>

	<xsl:template match="rs[@type='person']">
		<a>
			<xsl:attribute name="href">person.html#<xsl:apply-templates/>
			</xsl:attribute>
			<xsl:apply-templates/>
		</a>
	</xsl:template>
	<xsl:template match="rs[@type='place']">
		<a>
			<xsl:attribute name="href">place.html#<xsl:apply-templates/>
			</xsl:attribute>
			<xsl:apply-templates/>
		</a>
	</xsl:template>
	<xsl:template match="rs[@type='nation']">
		<a>
			<xsl:attribute name="href">nation.html#<xsl:apply-templates/>
			</xsl:attribute>
			<xsl:apply-templates/>
		</a>
	</xsl:template>
	<xsl:template match="q">
		<div align="center">
			<blockquote>
				<xsl:apply-templates/>
			</blockquote>
		</div>
	</xsl:template>
	<xsl:template match="p">
		<p>
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template match="reg">
		<i>
			<xsl:apply-templates/>
		</i>
	</xsl:template>
	<xsl:template match="date">
		<b>
			<xsl:apply-templates/>
		</b>
	</xsl:template>
	<xsl:template match="head">
		<h2>
			<xsl:apply-templates/>
		</h2>
	</xsl:template>
</xsl:stylesheet>

