<?xml version="1.0" encoding="utf-8"?>
<!-- conversion from xhtml to xsl-fo, hk 2004/05/22 -->
<xsl:stylesheet 
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:fo="http://www.w3.org/1999/XSL/Format"
   xmlns:html="http://www.w3.org/1999/xhtml"
   version="1.0" >

  <xsl:output encoding="utf-8" method="xml" />

  <xsl:template match="html:html">
    <fo:root>

      <fo:layout-master-set>
        <fo:simple-page-master master-name="seite"
                  margin-top="1cm" 
                  margin-bottom="1cm" 
                  margin-left="2cm" 
                  margin-right="2cm" >
           <fo:region-body region-name="body" 
                  margin-top="1.5cm" margin-bottom="2.5cm" />
           <fo:region-before region-name="top" extent="2.5cm"/>
           <fo:region-after region-name="bottom" extent="1.5cm"/>
        </fo:simple-page-master>
      </fo:layout-master-set>

      <fo:page-sequence master-reference="seite" >
        <fo:static-content flow-name="top" >
            <fo:block font-size="18pt" 
              font-family="sans-serif" 
              line-height="24pt"
              space-after.optimum="5pt"
              background-color="silver"
              color="white"
              text-align="center"
              padding-top="3pt">
              <!-- Processing XHTML to XSL-FO to PDF -->
              <xsl:apply-templates select="html:body/html:h1/text()" />
            </fo:block>
        </fo:static-content>
        <fo:static-content flow-name="bottom" >
            <fo:block font-size="12pt" 
              font-family="sans-serif" 
              line-height="14pt"
              background-color="white"
              color="black"
              text-align="center"
              padding-top="3pt">
              <xsl:apply-templates select="html:head/html:title" />
              <xsl:text> - </xsl:text>
              <fo:page-number format="1" />
            </fo:block>
        </fo:static-content>
        <fo:flow flow-name="body" >
            <fo:block font-size="12pt" 
                font-family="sans-serif" 
                line-height="15pt"
                space-after.optimum="3pt"
                text-align="left">
                <xsl:apply-templates select="html:body" />
            </fo:block>
         </fo:flow>
      </fo:page-sequence>

    </fo:root>
  </xsl:template>

  <xsl:include href="common-xhtml2fo.xsl" />

</xsl:stylesheet>
