
import org.w3c.dom.Document; 
import org.w3c.dom.Node; 
import org.w3c.dom.NodeList; 
import org.w3c.dom.Element; 

/**
 * Die Klasse DOMUtil fgt in einem DOM Dokument zu jedem
 * Element ein id-Attribut hinzu.
 * JDK &gt;= 1.4
 */

public class DOMUtil {

    private static int inc = 0;

    public static void addIdent(Node node, String prefix) {
	switch ( node.getNodeType() ) {
	case Node.ELEMENT_NODE: 
            addElementIdent( (Element)node, prefix );
	    break;
	case Node.DOCUMENT_NODE: 
            addElementIdent( ((Document)node).getDocumentElement(), prefix );
	    break;
	default: ;
	}
    }


    public static void addElementIdent(Element el, String prefix) {
        el.setAttribute("id", "#"+prefix+inc);
        el.setAttribute("name", "#"+prefix+inc++);
        NodeList nl = el.getChildNodes();
        if ( ( nl == null ) || ( nl.getLength() == 0 ) ) {
            return;
	}
	for (int i = 0; i < nl.getLength(); i++ ){
            Node c = nl.item(i);
            addIdent(c, prefix);
	}
    }


}
