/**
 * Hello World JXTA Peer 
 *
 */

import net.jxta.peergroup.PeerGroup;
import net.jxta.peergroup.PeerGroupID;
import net.jxta.peergroup.PeerGroupFactory;

import net.jxta.peer.PeerID;
import net.jxta.protocol.PeerGroupAdvertisement;
import net.jxta.exception.PeerGroupException;

import net.jxta.discovery.DiscoveryService;
import net.jxta.pipe.PipeService;
import net.jxta.membership.MembershipService;
import net.jxta.resolver.ResolverService;

import net.jxta.document.StructuredTextDocument;
import net.jxta.document.MimeMediaType;

import java.io.IOException;

public class HelloWorldJXTA {

    PeerGroup gruppe = null;
    Screen sc = new Screen();

    public static void main(String[] args) {
	HelloWorldJXTA hello = new HelloWorldJXTA();
	hello.startJXTA();
    }

    void startJXTA() {
	sc.println("starting JXTA hello world");
	try {
	    gruppe = PeerGroupFactory.newNetPeerGroup();
	} catch (PeerGroupException e) {
	    e.printStackTrace();
	    return;
	}
	if ( gruppe == null ) { 
           sc.println("Net Group not found, no way to continue");
           return;
	}

        sc.println("Net Group is: " + gruppe);
        PeerGroupID pgid = gruppe.getPeerGroupID();
        sc.println("pgid:  " + pgid);
	PeerID pid = gruppe.getPeerID();
        sc.println("pid:   " + pid);
	String pname = gruppe.getPeerName();
        sc.println("pname: " + pname);

	PeerGroupAdvertisement pgadv = gruppe.getPeerGroupAdvertisement();
        sc.println("pgadv: ");
	StructuredTextDocument doc = (StructuredTextDocument)
	       pgadv.getDocument( new MimeMediaType("text/xml") );
        try {
             doc.sendToWriter( sc );
	} catch (IOException e) {
	     e.printStackTrace();
	} finally {
             sc.flush();
	}

	// core services:
	DiscoveryService disco   = gruppe.getDiscoveryService();
	PipeService pipe         = gruppe.getPipeService();
	MembershipService member = gruppe.getMembershipService();
	ResolverService resolv   = gruppe.getResolverService();

        sc.println("got core services");

    }


}
